
public class Product {
	private String mName;
	private double mPrice;
	
	private OnPriceChangedListener mListener;
	
	public Product(){
		
	}
	
	public void setName(String name){
		this.mName = name;
	}
	
	public String getName(){
		return this.mName;
	}
	
	public void setPrice(double price){
		if(this.mPrice == price)
			return;
		double oldPrice = this.mPrice;
		this.mPrice = price;
		if(this.mListener != null){
			this.mListener.onPriceChanged(this.mName, oldPrice, this.mPrice);
		}
		
	}
	
	public double getPrice(){
		return this.mPrice;
	}
	
	public void setOnPriceChangedListener(OnPriceChangedListener listener){
		this.mListener = listener;
	}
	
}
